classification
Title: format(float, str): integer overflow for huge precision
Type: Stage:
Components: Interpreter Core Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: haypo, mark.dickinson, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-06-04 23:11 by haypo, last changed 2013-06-23 12:57 by haypo. This issue is now closed.

Files
File name Uploaded Description Edit
float_format_precision.patch haypo, 2013-06-04 23:11 review
Messages (2)
msg190629 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-06-04 23:11
format(1.2, ".%sf" % (2**32 + 2)) returns "1.20": the integer overflow is not catced.

Attached patch fixes the issue.
msg191693 - (view) Author: Roundup Robot (python-dev) Date: 2013-06-23 12:57
New changeset ef5175d08e7e by Victor Stinner in branch '3.3':
Issue #18137: Detect integer overflow on precision in float.__format__() and
http://hg.python.org/cpython/rev/ef5175d08e7e

New changeset 81fef2666ebb by Victor Stinner in branch 'default':
(Merge 3.3) Issue #18137: Detect integer overflow on precision in
http://hg.python.org/cpython/rev/81fef2666ebb

New changeset d2b4f59943fa by Victor Stinner in branch '2.7':
Issue #18137: Detect integer overflow on precision in float.__format__()
http://hg.python.org/cpython/rev/d2b4f59943fa
History
Date User Action Args
2013-06-23 12:57:47hayposetstatus: open -> closed
resolution: fixed
2013-06-23 12:57:35python-devsetnosy: + python-dev
messages: + msg191693
2013-06-05 04:43:00serhiy.storchakasetnosy: + serhiy.storchaka
2013-06-04 23:11:30haypocreate